<?php

namespace App\Http\Middleware;

use Illuminate\Auth\Middleware\Authenticate as Middleware;

class Authenticate extends Middleware
{
    /**
     * Get the path the user should be redirected to when they are not authenticated.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return string|null
     */
    protected function redirectTo($request)
    {
        if (! $request->expectsJson()) {
            session()->flash('exception', trans('app.you_are_not_authorized'));
            if (request()->is('client/*'))
            {
                return route('/');
            }
            else
            {
                return route('auth.login');
            } 
        }
    }
}
